import { ModelType } from "src/types";
import * as THREE from "three";
export declare function getFileExtension(file: string): string;
export declare const loadTexture: (src: string, name: string) => Promise<THREE.Texture>;
export declare function loadModel(src: string, name: string): Promise<ModelType>;
export declare const loadObj: (src: string, name: string) => Promise<THREE.Object3D>;
export declare const loadFbx: (src: string, name: string) => Promise<THREE.Object3D>;
